# mba-cli account

> Read billing accounts

Read billing accounts

CLI version: `0.3.2`

## Commands

### mba-cli account get

Get one billing account by id

Get single account resource

Get a single account resource

Get one billing account by id

Flags:

- `--id` (string): Billing account id

API endpoints:

- GET /billing/accounts/{id} — https://mybusinessapp.co.za/developers/api/billing-account#tag/BillingAccount/getSingleAccount

### mba-cli account ls

List billing accounts

List billing accounts

Retrieves billing accounts with optional pagination, sorting, text search, account/user filters, state filters, subscription-status filters, and created-date range filters. For OpenAPI tool calls, pass these filters in query.

List billing accounts

Flags:

- `--all` (bool, default `false`): Return all rows (paginate=false)
- `--from-date` (string): Query parameter fromDate (from the API spec)
- `--ids` (string): Query parameter ids (from the API spec)
- `--limit` (int, default `20`): Query parameter limit (from the API spec)
- `--order` (string): Query parameter order (from the API spec)
- `--page` (int, default `1`): Query parameter page (from the API spec)
- `--paginate` (bool, default `true`): Query parameter paginate (from the API spec)
- `--search` (string): Query parameter search (from the API spec)
- `--sort` (string): Query parameter sort (from the API spec)
- `--state` (string): Query parameter state (from the API spec)
- `--subscription-status` (string): Query parameter subscriptionStatus (from the API spec)
- `--to-date` (string): Query parameter toDate (from the API spec)
- `--user-id` (string): Query parameter userId (from the API spec)

API endpoints:

- GET /billing/accounts — https://mybusinessapp.co.za/developers/api/billing-account#tag/BillingAccount/getAllAccounts

---

[Rendered page](https://mybusinessapp.co.za/developers/cli/reference/account)

© MyBusinessApp (Pty) Ltd. Proprietary documentation — do not republish.
